<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for  - Laboratory Report within a transplantation process </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="http://hl7.org/fhir" prefix="fhir"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:oid:1.3.6.1.4.1.19376.1.3.2" prefix="lab"/>
   <ns uri="urn:ihe:pcc:hl7v3" prefix="ihe"/>
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario cdachlrtp016 -->

   <!-- cdachlrtp -->
   <pattern>
      <title>cdachlrtp</title>
      <rule context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]"
                 see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2017-08-14T000000.html">Instance is expected to have the following element: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]</assert>
      </rule>
   </pattern>
   <include href="include/2.16.756.5.30.1.127.10.1.3-2017-08-14T000000.sch"/>
   <include href="include/2.16.756.5.30.1.127.10.1.3-2017-08-14T000000-closed.sch"/>


   <!-- Create phases for more targeted validation on large instances -->
   <phase id="AllExceptClosed">
      <active pattern="template-2.16.756.5.30.1.127.10.1.3-2017-08-14T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.3-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.6-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.5.3.1.4.2-2013-12-20T000000"/>
      <active pattern="template-2.16.756.5.30.1.1.10.2.16-2018-04-18T000000"/>
      <active pattern="template-2.16.756.5.30.1.1.10.2.3-2018-04-18T000000"/>
      <active pattern="template-2.16.756.5.30.1.1.10.2.4-2018-04-18T000000"/>
      <active pattern="template-2.16.756.5.30.1.1.10.2.5-2018-04-18T000000"/>
      <active pattern="template-2.16.756.5.30.1.1.10.2.6-2018-04-18T000000"/>
      <active pattern="template-2.16.756.5.30.1.1.10.2.7-2018-04-18T000000"/>
      <active pattern="template-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000"/>
      <active pattern="template-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000"/>
      <active pattern="template-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000"/>
      <active pattern="template-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000"/>
      <active pattern="template-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000"/>
      <active pattern="template-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000"/>
      <active pattern="template-2.16.756.5.30.1.127.10.4.34-2017-08-01T000000"/>
   </phase>
   <phase id="cdachlrtp">
      <active pattern="template-2.16.756.5.30.1.127.10.1.3-2017-08-14T000000"/>
   </phase>
   <phase id="cdachlrtp-closed">
      <active pattern="template-2.16.756.5.30.1.127.10.1.3-2017-08-14T000000-closed"/>
   </phase>
   <phase id="SpecimenReceived">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.3-2008-08-08T000000"/>
   </phase>
   <phase id="OrderingProvider">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.6-2008-08-08T000000"/>
   </phase>
   <phase id="IHECommentEntry">
      <active pattern="template-1.3.6.1.4.1.19376.1.5.3.1.4.2-2013-12-20T000000"/>
   </phase>
   <phase id="cdach_header_OrderReference">
      <active pattern="template-2.16.756.5.30.1.1.10.2.16-2018-04-18T000000"/>
   </phase>
   <phase id="cdach_header_Custodian">
      <active pattern="template-2.16.756.5.30.1.1.10.2.3-2018-04-18T000000"/>
   </phase>
   <phase id="cdach_header_InformationRecipient">
      <active pattern="template-2.16.756.5.30.1.1.10.2.4-2018-04-18T000000"/>
   </phase>
   <phase id="cdach_header_LegalAuthenticator">
      <active pattern="template-2.16.756.5.30.1.1.10.2.5-2018-04-18T000000"/>
   </phase>
   <phase id="cdach_header_Authenticator">
      <active pattern="template-2.16.756.5.30.1.1.10.2.6-2018-04-18T000000"/>
   </phase>
   <phase id="cdach_header_DataEnterer">
      <active pattern="template-2.16.756.5.30.1.1.10.2.7-2018-04-18T000000"/>
   </phase>
   <phase id="Blutgruppesection">
      <active pattern="template-2.16.756.5.30.1.127.10.3.11-2016-07-02T000000"/>
   </phase>
   <phase id="Laborbefundsectionlrtp">
      <active pattern="template-2.16.756.5.30.1.127.10.3.12-2016-07-02T000000"/>
   </phase>
   <phase id="Blutgruppe">
      <active pattern="template-2.16.756.5.30.1.127.10.4.29-2016-07-02T000000"/>
   </phase>
   <phase id="Resultatgruppelrtp">
      <active pattern="template-2.16.756.5.30.1.127.10.4.31-2016-07-20T000000"/>
   </phase>
   <phase id="Laborresultatlrtp">
      <active pattern="template-2.16.756.5.30.1.127.10.4.32-2016-07-20T000000"/>
   </phase>
   <phase id="SOASInfo">
      <active pattern="template-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000"/>
   </phase>
   <phase id="SpecimenCollection">
      <active pattern="template-2.16.756.5.30.1.127.10.4.34-2017-08-01T000000"/>
   </phase>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- SpecimenReceived -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.3-2008-08-08T000000.sch"/>
   <!-- OrderingProvider -->
   <include href="include/1.3.6.1.4.1.19376.1.3.3.1.6-2008-08-08T000000.sch"/>
   <!-- IHECommentEntry -->
   <include href="include/1.3.6.1.4.1.19376.1.5.3.1.4.2-2013-12-20T000000.sch"/>
   <!-- cdach_header_OrderReference -->
   <include href="include/2.16.756.5.30.1.1.10.2.16-2018-04-18T000000.sch"/>
   <!-- cdach_header_Custodian -->
   <include href="include/2.16.756.5.30.1.1.10.2.3-2018-04-18T000000.sch"/>
   <!-- cdach_header_InformationRecipient -->
   <include href="include/2.16.756.5.30.1.1.10.2.4-2018-04-18T000000.sch"/>
   <!-- cdach_header_LegalAuthenticator -->
   <include href="include/2.16.756.5.30.1.1.10.2.5-2018-04-18T000000.sch"/>
   <!-- cdach_header_Authenticator -->
   <include href="include/2.16.756.5.30.1.1.10.2.6-2018-04-18T000000.sch"/>
   <!-- cdach_header_DataEnterer -->
   <include href="include/2.16.756.5.30.1.1.10.2.7-2018-04-18T000000.sch"/>
   <!-- Blutgruppesection -->
   <include href="include/2.16.756.5.30.1.127.10.3.11-2016-07-02T000000.sch"/>
   <!-- Laborbefundsectionlrtp -->
   <include href="include/2.16.756.5.30.1.127.10.3.12-2016-07-02T000000.sch"/>
   <!-- Blutgruppe -->
   <include href="include/2.16.756.5.30.1.127.10.4.29-2016-07-02T000000.sch"/>
   <!-- Resultatgruppelrtp -->
   <include href="include/2.16.756.5.30.1.127.10.4.31-2016-07-20T000000.sch"/>
   <!-- Laborresultatlrtp -->
   <include href="include/2.16.756.5.30.1.127.10.4.32-2016-07-20T000000.sch"/>
   <!-- SOASInfo -->
   <include href="include/2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.sch"/>
   <!-- SpecimenCollection -->
   <include href="include/2.16.756.5.30.1.127.10.4.34-2017-08-01T000000.sch"/>

</schema>
